/*
    record.h
    $Id: record.h,v 1.1 2010/03/08 08:01:55 daichi Exp $

*/
#ifndef _RECORD_H_
#define _RECORD_H_
#include <vector>

using namespace std;

struct restaurant;

typedef int (*recfunc)(restaurant *, void *);	/* return 0 if success */

struct record {
	vector<restaurant *> v;
	vector<int> bounds;
	void incr (restaurant *word);
	void decr (restaurant *word);
	void rswap (int left, int right);
	void foreach (recfunc f, void *param);
	int  add (restaurant *word);
	void erase (restaurant *word);
	void print ();
};


#endif
