/*
    io.h
    $Id: io.h,v 1.1 2010/03/09 10:37:37 daichi Exp $

*/
#ifndef _IO_H_
#define _IO_H_
#include <ext/hash_map>
#include "hpylm.h"
#define	 BYTE(x,n)	*(((char *)&(x))+n)

using namespace std;
using namespace __gnu_cxx;

namespace __gnu_cxx {
	template <> struct hash<void *>
	{
		size_t operator() (const void *p) const
		{
			size_t i, result = 0;
			for (i = 0; i < sizeof(p); i++)
				result = (result * 131) + BYTE(p, i);
			return result;
		}
	};
}

struct ptreq
{
	bool operator() (const void *a, const void *b) const
	{
		return (a == b);
	}

};

typedef hash_map <int, int> lex_map;
typedef hash_map <int, ngram *> node_map_rev;
typedef hash_map <ngram *, int, hash<void *>, ptreq> node_map;

bool lwlm_load_param (char *model, int *order, double *alpha);

#endif
